Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.ajp
Class Ajp13SocketConnector

    java.lang.Object
      org.eclipse.jetty.util.component.AbstractLifeCycle
          org.eclipse.jetty.http.HttpBuffers
              org.eclipse.jetty.server.AbstractConnector
                  org.eclipse.jetty.server.bio.SocketConnector
                      org.eclipse.jetty.ajp.Ajp13SocketConnector

All Implemented Interfaces:
  Connector, LifeCycle

    public class Ajp13SocketConnector

extends SocketConnector

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jetty.server.bio.SocketConnector
`SocketConnector.ConnectorEndPoint`

Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`AbstractLifeCycle.AbstractLifeCycleListener`

Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle
`LifeCycle.Listener`

Field Summary

Fields inherited from class org.eclipse.jetty.server.bio.SocketConnector
`_connections, _localPort, _serverSocket`

Fields inherited from class org.eclipse.jetty.server.AbstractConnector
`_lowResourceMaxIdleTime, _maxIdleTime, _soLingerTime`

Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

Constructor Summary
`Ajp13SocketConnector()`

Method Summary
`void` | `customize(EndPoint endpoint, Request request)` Customize a request for an endpoint.
`protected void` | `doStart()`
`boolean` | `isConfidential(Request request)`
`boolean` | `isIntegral(Request request)`
`protected Connection` | `newConnection(EndPoint endpoint)` Allows subclass to override Conection if required.
`void` | `setAllowShutdown(boolean allowShutdown)`
`void` | `setHeaderBufferSize(int headerBufferSize)`
`void` | `setRequestBufferSize(int requestBufferSize)` Set the size of the content buffer for receiving requests.
`void` | `setResponseBufferSize(int responseBufferSize)` Set the size of the content buffer for sending responses.
`void` | `setSecretWord(java.lang.String secretWord)`

Methods inherited from class org.eclipse.jetty.server.bio.SocketConnector
`accept, close, doStop, getConnection, getLocalPort, newServerSocket, open`

Methods inherited from class org.eclipse.jetty.server.AbstractConnector
`checkForwardedHeaders, configure, connectionClosed, connectionOpened, connectionUpgraded, getAcceptorPriorityOffset, getAcceptors, getAcceptQueueSize, getConfidentialPort, getConfidentialScheme, getConnections, getConnectionsDurationMax, getConnectionsDurationMean, getConnectionsDurationStdDev, getConnectionsDurationTotal, getConnectionsOpen, getConnectionsOpenMax, getConnectionsRequestsMax, getConnectionsRequestsMean, getConnectionsRequestsStdDev, getForwardedForHeader, getForwardedHostHeader, getForwardedProtoHeader, getForwardedServerHeader, getHost, getHostHeader, getIntegralPort, getIntegralScheme, getLeftMostValue, getLowResourceMaxIdleTime, getLowResourcesMaxIdleTime, getMaxIdleTime, getName, getPort, getRequests, getResolveNames, getReuseAddress, getServer, getSoLingerTime, getStatsOn, getStatsOnMs, getThreadPool, isForwarded, isLowResources, isRequestHeader, isResponseHeader, join, newBuffer, newRequestBuffer, newRequestHeader, newResponseBuffer, newResponseHeader, persist, setAcceptorPriorityOffset, setAcceptors, setAcceptQueueSize, setConfidentialPort, setConfidentialScheme, setForwarded, setForwardedForHeader, setForwardedHostHeader, setForwardedProtoHeader, setForwardedServerHeader, setHost, setHostHeader, setIntegralPort, setIntegralScheme, setLowResourceMaxIdleTime, setLowResourcesMaxIdleTime, setMaxIdleTime, setName, setPort, setResolveNames, setReuseAddress, setServer, setSoLingerTime, setStatsOn, setThreadPool, statsReset, stopAccept, toString`

Methods inherited from class org.eclipse.jetty.http.HttpBuffers
`getHeaderBufferSize, getRequestBuffers, getRequestBufferSize, getRequestHeaderSize, getResponseBuffers, getResponseBufferSize, getResponseHeaderSize, setRequestHeaderSize, setResponseHeaderSize`

Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`addLifeCycleListener, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jetty.server.Connector
`getRequestBuffers, getRequestBufferSize, getRequestHeaderSize, getResponseBuffers, getResponseBufferSize, getResponseHeaderSize, setRequestHeaderSize, setResponseHeaderSize`

Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Constructor Detail

### Ajp13SocketConnector

    public Ajp13SocketConnector()

Method Detail

### doStart

    protected void doStart()
                    throws java.lang.Exception

  Overrides:
    `doStart` in class `SocketConnector`
  Throws:
    `java.lang.Exception`

### customize

    public void customize(EndPoint endpoint,
                          Request request)
                   throws java.io.IOException

  Description copied from interface: `Connector`
  Customize a request for an endpoint. Called on every request to allow customization of the request for the particular endpoint (eg security properties from a SSL connection).

  Specified by:
    `customize` in interface `Connector`
  Overrides:
    `customize` in class `SocketConnector`
  Throws:
    `java.io.IOException`

### newConnection

    protected Connection newConnection(EndPoint endpoint)

  Description copied from class: `SocketConnector`
  Allows subclass to override Conection if required.

  Overrides:
    `newConnection` in class `SocketConnector`

### isConfidential

    public boolean isConfidential(Request request)

  Specified by:
    `isConfidential` in interface `Connector`
  Overrides:
    `isConfidential` in class `AbstractConnector`
  Parameters:
    `request` - A request
  Returns:
    true if the request is confidential. This normally means the https schema has been used.

### isIntegral

    public boolean isIntegral(Request request)

  Specified by:
    `isIntegral` in interface `Connector`
  Overrides:
    `isIntegral` in class `AbstractConnector`
  Parameters:
    `request` - A request
  Returns:
    true if the request is integral. This normally means the https schema has been used.

### setHeaderBufferSize

    public void setHeaderBufferSize(int headerBufferSize)

  Overrides:
    `setHeaderBufferSize` in class `HttpBuffers`
  Parameters:
    `headerBufferSize` - The headerBufferSize to set.

### setRequestBufferSize

    public void setRequestBufferSize(int requestBufferSize)

  Description copied from interface: `Connector`
  Set the size of the content buffer for receiving requests. These buffers are only used for active connections that have requests with bodies that will not fit within the header buffer.

  Specified by:
    `setRequestBufferSize` in interface `Connector`
  Overrides:
    `setRequestBufferSize` in class `HttpBuffers`
  Parameters:
    `requestBufferSize` - The requestBufferSize to set.

### setResponseBufferSize

    public void setResponseBufferSize(int responseBufferSize)

  Description copied from interface: `Connector`
  Set the size of the content buffer for sending responses. These buffers are only used for active connections that are sending responses with bodies that will not fit within the header buffer.

  Specified by:
    `setResponseBufferSize` in interface `Connector`
  Overrides:
    `setResponseBufferSize` in class `HttpBuffers`
  Parameters:
    `responseBufferSize` - The response buffer size in bytes.

### setAllowShutdown

    public void setAllowShutdown(boolean allowShutdown)

### setSecretWord

    public void setSecretWord(java.lang.String secretWord)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.